## org.apache.myfaces.custom.fileupload
Class UploadedFileConverter

    java.lang.Object
      org.apache.myfaces.custom.fileupload.UploadedFileConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

public class UploadedFileConverter
extends java.lang.Object
implements javax.faces.convert.Converter

DOCUMENT ME!

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Constructor Summary
`UploadedFileConverter()`

Method Summary
`java.lang.Object` `getAsObject(javax.faces.context.FacesContext facescontext, javax.faces.component.UIComponent uicomponent, java.lang.String s)`
`java.lang.String` `getAsString(javax.faces.context.FacesContext facescontext, javax.faces.component.UIComponent uicomponent, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadedFileConverter

    public UploadedFileConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext facescontext,
                                        javax.faces.component.UIComponent uicomponent,
                                        java.lang.String s)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext facescontext,
                                        javax.faces.component.UIComponent uicomponent,
                                        java.lang.Object obj)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`